com.mysql.cj.xdevapi

## Interface Result

All Superinterfaces:
  QueryResult

All Known Subinterfaces:
  AddResult, DocResult, InsertResult, RowResult, SqlResult

    public interface Result
    extends QueryResult

Base result.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getAffectedItemsCount()` Get the count of affected items from manipulation statements.
`Iterator<Warning>` `getWarnings()` Get warnings generated during statement execution.
`int` `getWarningsCount()` Get the number of warnings generated during statement execution.

### Method Detail

#### getAffectedItemsCount

    long getAffectedItemsCount()

Get the count of affected items from manipulation statements. This method forces internal buffering of the result.

Returns:
  count

#### getWarningsCount

    int getWarningsCount()

Get the number of warnings generated during statement execution. This method forces internal buffering of the result.

Returns:
  number of warnings

#### getWarnings

    Iterator<Warning> getWarnings()

Get warnings generated during statement execution. This method forces internal buffering of the result.

Returns:
  iterator over warnings

Copyright © 2016, 2024, Oracle and/or its affiliates.